#include <bits/stdc++.h>


using namespace std;
void funkcija(int l,int r,vector<int> a,bool radi){
    while(l!=r-1 && radi){
       // if(a[])
    }
}
int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);  
    int n;
    scanf("%d", &n);

    vector<int> a(n + 1);
    for (int i = 1; i <= n; i++) {
        scanf("%d", &a[i]);
    }

    int q;
    scanf("%d", &q);

    int q1 = q;
    vector<bool> removed(q);
    removed.assign(q, false);
    while (q > 0) {
        int l, r;
        scanf("%d %d", &l, &r);

        for (int i = l; i <= r; i++) {
            vector<int> temp(a.begin() + l, a.begin() + r + 1);
            temp.erase(temp.begin() + i - l);
            if (is_sorted(temp.begin(), temp.end())) {
                removed[q] = true;
                break;
            }
        }
        q--;
    }

    for (int i = q1; i > 0; i--) {
        if (removed[i]) {
            printf("DA\n");
        } else {
            printf("NE\n");
        }
    }

    return 0;
}